# Uses of Class
javax.swing.event.TableColumnModelEvent

Packages that use TableColumnModelEvent
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of TableColumnModelEvent in javax.swing

Methods in javax.swing with parameters of type TableColumnModelEvent
Modifier and Type
Method
Description
`void`
JTable.AccessibleJTable.`columnAdded(TableColumnModelEvent e)`
Track changes to the table contents (column insertions)
`void`
JTable.`columnAdded(TableColumnModelEvent e)`
Invoked when a column is added to the table column model.
`void`
JTable.AccessibleJTable.`columnMoved(TableColumnModelEvent e)`
Track changes of a column repositioning.
`void`
JTable.`columnMoved(TableColumnModelEvent e)`
Invoked when a column is repositioned.
`void`
JTable.AccessibleJTable.`columnRemoved(TableColumnModelEvent e)`
Track changes to the table contents (column deletions)
`void`
JTable.`columnRemoved(TableColumnModelEvent e)`
Invoked when a column is removed from the table column model.

## Uses of TableColumnModelEvent in javax.swing.event

Methods in javax.swing.event with parameters of type TableColumnModelEvent
Modifier and Type
Method
Description
`void`
TableColumnModelListener.`columnAdded(TableColumnModelEvent e)`
Tells listeners that a column was added to the model.
`void`
TableColumnModelListener.`columnMoved(TableColumnModelEvent e)`
Tells listeners that a column was repositioned.
`void`
TableColumnModelListener.`columnRemoved(TableColumnModelEvent e)`
Tells listeners that a column was removed from the model.

## Uses of TableColumnModelEvent in javax.swing.table

Methods in javax.swing.table with parameters of type TableColumnModelEvent
Modifier and Type
Method
Description
`void`
JTableHeader.`columnAdded(TableColumnModelEvent e)`
Invoked when a column is added to the table column model.
`void`
JTableHeader.`columnMoved(TableColumnModelEvent e)`
Invoked when a column is repositioned.
`void`
JTableHeader.`columnRemoved(TableColumnModelEvent e)`
Invoked when a column is removed from the table column model.
`protected void`
DefaultTableColumnModel.`fireColumnAdded(TableColumnModelEvent e)`
Notifies all listeners that have registered interest for notification on this event type.
`protected void`
DefaultTableColumnModel.`fireColumnMoved(TableColumnModelEvent e)`
Notifies all listeners that have registered interest for notification on this event type.
`protected void`
DefaultTableColumnModel.`fireColumnRemoved(TableColumnModelEvent e)`
Notifies all listeners that have registered interest for notification on this event type.